SolrPluginUtils.IdentityRegenerator (Solr 3.6.2 API)
Keywords: org.apache.solr.util.SolrPluginUtils.IdentityRegenerator class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.util
Class SolrPluginUtils.IdentityRegenerator

    java.lang.Object
      org.apache.solr.util.SolrPluginUtils.IdentityRegenerator

All Implemented Interfaces:
  CacheRegenerator

Enclosing class:
  SolrPluginUtils

    public static class SolrPluginUtils.IdentityRegenerator

extends Object
implements CacheRegenerator

A CacheRegenerator that can be used whenever the items in the cache are not dependant on the current searcher.

Flat out copies the oldKey=>oldVal pair into the newCache

Constructor Summary
`SolrPluginUtils.IdentityRegenerator()`

Method Summary
`boolean` | `regenerateItem(SolrIndexSearcher newSearcher, SolrCache newCache, SolrCache oldCache, Object oldKey, Object oldVal)` Regenerate an old cache item and insert it into `newCache`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SolrPluginUtils.IdentityRegenerator

    public SolrPluginUtils.IdentityRegenerator()

Method Detail

### regenerateItem

    public boolean regenerateItem(SolrIndexSearcher newSearcher,
                                  SolrCache newCache,
                                  SolrCache oldCache,
                                  Object oldKey,
                                  Object oldVal)
                           throws IOException

  Description copied from interface: `CacheRegenerator`
  Regenerate an old cache item and insert it into `newCache`

  Specified by:
    `regenerateItem` in interface `CacheRegenerator`
  Parameters:
    `newSearcher` - the new searcher who's caches are being autowarmed
    `newCache` - where regenerated cache items should be stored. the target of the autowarming
    `oldCache` - the old cache being used as a source for autowarming
    `oldKey` - the key of the old cache item to regenerate in the new cache
    `oldVal` - the old value of the cache item
  Returns:
    true to continue with autowarming, false to stop
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD